﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushService.Act.Model
{
    public class PushMsg
    {
        /// <summary>
        /// 主键
        /// </summary>
        public System.String Id { get; set; }
        /// <summary>
        /// 推送配置Id
        /// </summary>
        public System.String Map_Id { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>

        public System.String User_Id { get; set; }
        /// <summary>
        /// 发送号
        /// </summary>

        public System.String Send_Number { get; set; }
        /// <summary>
        /// 项目Id
        /// </summary>

        public System.String Project_Id { get; set; }
        /// <summary>
        /// 推送角色
        /// </summary>
        public System.String Push_Target { get; set; }

        /// <summary>
        /// 推送方式APP = 1,短信 = 2,微信 = 3,socket = 4,站内推送 = 5,邮件 = 6
        /// </summary>
        public System.String Push_Style { get; set; }
        /// <summary>
        /// 推送方式描述
        /// </summary>
        public System.String PushStyleDec { get; set; }
        /// <summary>
        /// 推送标签
        /// </summary>
        public System.String Push_TagName { get; set; }
        /// <summary>
        /// 推送标题
        /// </summary>

        public System.String Push_Title { get; set; }
        /// <summary>
        /// 推送body
        /// </summary>

        public System.String Push_Body { get; set; }

        /// <summary>
        /// IOS跳转参数
        /// </summary>
        public System.String Push_IosLink { get; set; }

        /// <summary>
        /// And跳转参数
        /// </summary>

        public System.String Push_AndLink { get; set; }

        /// <summary>
        /// Web跳转
        /// </summary>

        public System.String Push_WebLink { get; set; }

        /// <summary>
        /// 微信跳转
        /// </summary>
        public System.String Push_WechatLink { get; set; }
        /// <summary>
        /// 发送时间
        /// </summary>

        public System.DateTime Send_Time { get; set; }

        /// <summary>
        /// 是否已读
        /// </summary>

        public System.Int32? HaveRead { get; set; }
    }
}
